type coin = int

type coinSet
      
type weighing = coinSet*coinSet

(* gnre tous les ensembles de n pices <= max_coin *)
val generate_all_sets : int -> int -> coinSet list

(* gnre toutes les peses possibles entre ensemble de taille card avec *)
(* des pices infrieures ou gales  max_coin *)
val generate_weighings : int -> int -> weighing list

(* gnre toutes les peses entre ensembles de taille <= card *)
val generate_all_weighings : int -> int -> weighing list

(* vrai si la pice est dans l'ensemble *)    
val in_set : coin -> coinSet -> bool
    
(* renvoie la liste des lments d'un ensemble *)
val elements : coinSet -> coin list

(* renvoie l'ensemble vide *)
val empty_set : coinSet
    
(* renvoie une pese par dfaut *)
val default_weighing : weighing
    
(* affiche une pese *)
val print_weighing : weighing -> unit
